summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-switch-demo-green
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-switch-demo-green')
-rwxr-xr-xbin/taler-deployment-switch-demo-green14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/taler-deployment-switch-demo-green b/bin/taler-deployment-switch-demo-green
new file mode 100755
index 0000000..198f7ad
--- /dev/null
+++ b/bin/taler-deployment-switch-demo-green
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+if ! test $(whoami) = demo; then
+ echo Please run as the 'demo' user. Exiting.
+ exit 1
+fi
+
+rm /home/demo/sockets || true
+rm /home/demo/landing || true
+rm /home/demo/auditor || true
+ln -s /home/demo-green/sockets /home/demo/sockets
+ln -s /home/demo-green/landing /home/demo/landing
+ln -s /home/demo-green/auditor /home/demo/auditor
+echo "demo-green" > /home/demo/active